import cloneArrayBuffer from "./_cloneArrayBuffer.mjs";
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
export {
  cloneTypedArray as default
};
